Context Menu API
Initialization
<script setup>
import { ContextMenu } from "@svar-ui/vue-menu";
import { getOptions } from "./data";
const options = getOptions();
</script>
<template>
<ContextMenu :options="options"></ContextMenu>
</template>
Related resources
- Visit the Features Guide to learn more about the widget's functionality.
- Explore the samples to visualize the available features.
Properties
| at | Optional. Specifies the position of Context Menu relative to the target node |
| css | Optional. Adds a custom style to the menu |
| dataKey | Optional. Specifies the id of the elements to show Context Menu for |
| filter | Optional. Specifies what context to show for the specified targets |
| options | Optional. Specifies a set of options for Context Menu |
| resolver | Optional. Enables the multi-area mode and defines whether an element needs a menu |
Events
| click | Fires on clicking an item of Context Menu or outside the menu |

Context Menu API
Initialization
import { useState } from "react";
import { ContextMenu } from "@svar-ui/react-menu";
import { getOptions } from "./data";
export default function Example() {
const [options] = useState(() => getOptions());
return <ContextMenu options={options} />;
}
Related resources
- Visit the Features Guide to learn more about the widget's functionality.
- Explore the samples to visualize the available features.
Properties
| at | Optional. Specifies the position of Context Menu relative to the target node |
| css | Optional. Adds a custom style to the menu |
| dataKey | Optional. Specifies the id of the elements to show Context Menu for |
| filter | Optional. Specifies what context to show for the specified targets |
| options | Optional. Specifies a set of options for Context Menu |
| resolver | Optional. Enables the multi-area mode and defines whether an element needs a menu |
Events
| click | Fires on clicking an item of Context Menu or outside the menu |